<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <sectionGroup name="Environment">
      <section name="Production" type="System.Configuration.SingleTagSectionHandler"/>
      <section name="Test" type="System.Configuration.SingleTagSectionHandler"/>
    </sectionGroup>
    <sectionGroup name="LanguageMode">
      <section name="en" type="System.Configuration.SingleTagSectionHandler"/>
      <section name="zh-cht" type="System.Configuration.SingleTagSectionHandler"/>
      <section name="zh-chs" type="System.Configuration.SingleTagSectionHandler"/>
    </sectionGroup>
    <sectionGroup name="applicationSettings" type="System.Configuration.ApplicationSettingsGroup, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089">
      <section name="MESSeries.My.MySettings" type="System.Configuration.ClientSettingsSection, System, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false"/>
    </sectionGroup>
  </configSections>
  <Environment>
    <Production DisplayName="正式區" MesWebServiceHost="localhost/MES_Production_MESws_STD" ERPWebServiceHost="localhost/MES_Production_MESws_EAI" RtdWebServiceHost="localhost/MES_Production_MESws_iRTD" EnableSSL="False"/>
    <Test DisplayName="測試區" MesWebServiceHost="localhost/MES_Test_MESws_STD" ERPWebServiceHost="localhost/MES_Test_MESws_EAI" RtdWebServiceHost="localhost/MES_Test_MESws_iRTD" EnableSSL="False"/>
  </Environment>
  <LanguageMode>
    <en DisplayName="English"/>
    <zh-cht DisplayName="繁體中文"/>
    <zh-chs DisplayName="简体中文"/>
  </LanguageMode>
  <appSettings>
	  <!--自動登出的閒置時間, 單位分鐘, 無此Key或此值<=0皆不會啟動自動登出-->
	  <add key="IdleTime" value="-1"/>
	  <!--0: 登出 , 1:關閉系統-->
	<add key="IdleMode" value="0" />
    <!-- ===== 系統預設值區段 ====================================== -->
    <add key="LanguageMode" value="zh-cht"/>
    <!-- ===== 列印標籤區段 ======================================== -->
    <!--列印標籤的執行目錄-->
    <add key="LabelPath" value="C:\Program Files\Seagull\BarTender Suite"/>
    <add key="LabelPath(x86)" value="C:\Program Files (x86)\Seagull\BarTender Suite"/>
    <!--列印標籤的執行檔-->
    <add key="LabelExe" value="Bartend.exe"/>
    <!--列印標籤的資料檔目錄-->
    <add key="LabelDataPath" value="D:\DigiHua\MES\LabelData"/>
    <add key="ClientSettingsProvider.ServiceUri" value=""/>
    <!-- Client 300秒回報DB一次 -->
    <add key="RefreshTimeInterval" value="300000"/>
	<!--配置链接YMS网页的地址-->
	<add key="YMSLINK" value=""/>
  </appSettings>
  <system.diagnostics>
    <sources>
      <!-- This section defines the logging configuration for My.Application.Log -->
      <source name="DefaultSource" switchName="DefaultSwitch">
        <listeners>
          <add name="FileLog"/>
          <!-- Uncomment the below section to write to the Application Event Log -->
          <!--<add name="EventLog"/>-->
        </listeners>
      </source>
    </sources>
    <switches>
      <add name="DefaultSwitch" value="Information"/>
    </switches>
    <sharedListeners>
      <add name="FileLog" type="Microsoft.VisualBasic.Logging.FileLogTraceListener, Microsoft.VisualBasic, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" initializeData="FileLogWriter"/>
      <!-- Uncomment the below section and replace APPLICATION_NAME with the name of your application to write to the Application Event Log -->
      <!--<add name="EventLog" type="System.Diagnostics.EventLogTraceListener" initializeData="APPLICATION_NAME"/> -->
    </sharedListeners>
  </system.diagnostics>
  <applicationSettings>
    <MESSeries.My.MySettings>
      <setting name="MESSeries_wsUpdateResource_wsUpdateResource" serializeAs="String">
        <value>http://localhost/MESws_STD/wsUpdateResource/wsUpdateResource.asmx</value>
      </setting>
    </MESSeries.My.MySettings>
  </applicationSettings>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>
<startup><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.6.2"/></startup></configuration>
